### Function Macro

# GLib VARIANT_BUILDER_INIT_UNSET

since: 2.84

#### Declaration [src]

    #define G_VARIANT_BUILDER_INIT_UNSET (
      void
    )

#### Description [src]

A stack-allocated `GVariantBuilder` must be initialized if it is used together with `g_auto()`. This macro can be used as initializer when declaring the builder, but it cannot be assigned to a variable.

The builder can be initialized to a specific `GVariantType` later with `g_variant_builder_init()`.

Use `G_VARIANT_BUILDER_INIT()` to directly initialize the builder with a specific `GVariantType`.

      g_auto(GVariantBuilder) builder = G_VARIANT_BUILDER_INIT_UNSET ();

      if (condition)
        return NULL;

      g_variant_builder_init (&builder, G_VARIANT_TYPE ("a{su}"));
      return g_variant_ref_sink (g_variant_builder_end (&builder));

Available since: 2.84

This function is not directly available to language bindings.